package com.app.kemenhub.jakbanapps.db;

import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteStatement;

import de.greenrobot.dao.AbstractDao;
import de.greenrobot.dao.Property;
import de.greenrobot.dao.internal.DaoConfig;

import com.app.kemenhub.jakbanapps.db.perjalanan_dinas_jenis;

// THIS CODE IS GENERATED BY greenDAO, DO NOT EDIT.
/** 
 * DAO for table "PERJALANAN_DINAS_JENIS".
*/
public class perjalanan_dinas_jenisDao extends AbstractDao<perjalanan_dinas_jenis, Void> {

    public static final String TABLENAME = "PERJALANAN_DINAS_JENIS";

    /**
     * Properties of entity perjalanan_dinas_jenis.<br/>
     * Can be used for QueryBuilder and for referencing column names.
    */
    public static class Properties {
        public final static Property Code = new Property(0, String.class, "code", false, "CODE");
        public final static Property Jenis = new Property(1, String.class, "jenis", false, "JENIS");
    };


    public perjalanan_dinas_jenisDao(DaoConfig config) {
        super(config);
    }
    
    public perjalanan_dinas_jenisDao(DaoConfig config, DaoSession daoSession) {
        super(config, daoSession);
    }

    /** Creates the underlying database table. */
    public static void createTable(SQLiteDatabase db, boolean ifNotExists) {
        String constraint = ifNotExists? "IF NOT EXISTS ": "";
        db.execSQL("CREATE TABLE " + constraint + "\"PERJALANAN_DINAS_JENIS\" (" + //
                "\"CODE\" TEXT," + // 0: code
                "\"JENIS\" TEXT);"); // 1: jenis
    }

    /** Drops the underlying database table. */
    public static void dropTable(SQLiteDatabase db, boolean ifExists) {
        String sql = "DROP TABLE " + (ifExists ? "IF EXISTS " : "") + "\"PERJALANAN_DINAS_JENIS\"";
        db.execSQL(sql);
    }

    /** @inheritdoc */
    @Override
    protected void bindValues(SQLiteStatement stmt, perjalanan_dinas_jenis entity) {
        stmt.clearBindings();
 
        String code = entity.getCode();
        if (code != null) {
            stmt.bindString(1, code);
        }
 
        String jenis = entity.getJenis();
        if (jenis != null) {
            stmt.bindString(2, jenis);
        }
    }

    /** @inheritdoc */
    @Override
    public Void readKey(Cursor cursor, int offset) {
        return null;
    }    

    /** @inheritdoc */
    @Override
    public perjalanan_dinas_jenis readEntity(Cursor cursor, int offset) {
        perjalanan_dinas_jenis entity = new perjalanan_dinas_jenis( //
            cursor.isNull(offset + 0) ? null : cursor.getString(offset + 0), // code
            cursor.isNull(offset + 1) ? null : cursor.getString(offset + 1) // jenis
        );
        return entity;
    }
     
    /** @inheritdoc */
    @Override
    public void readEntity(Cursor cursor, perjalanan_dinas_jenis entity, int offset) {
        entity.setCode(cursor.isNull(offset + 0) ? null : cursor.getString(offset + 0));
        entity.setJenis(cursor.isNull(offset + 1) ? null : cursor.getString(offset + 1));
     }
    
    /** @inheritdoc */
    @Override
    protected Void updateKeyAfterInsert(perjalanan_dinas_jenis entity, long rowId) {
        // Unsupported or missing PK type
        return null;
    }
    
    /** @inheritdoc */
    @Override
    public Void getKey(perjalanan_dinas_jenis entity) {
        return null;
    }

    /** @inheritdoc */
    @Override    
    protected boolean isEntityUpdateable() {
        return true;
    }
    
}
